@use '@angular/material' as mat;
@use '../colors';
@use '../components/material';

@mixin change-button-size($button-size, $font-size) {
  height: $button-size;
  // width: $button-size;
  line-height: $button-size;

  span {
    height: $button-size;
    padding: 0px !important;

    // for icons using i tag
    i {
      font-size: $font-size;
    }

    // for mat icon buttons
    .mat-icon {
      font-size: $font-size;
      // vertical-align: baseline;
    }
  }
}

@mixin mat-round-button {
  border-radius: 24px;
}

@mixin icon-only-button {
  &.mat-mdc-button,
  &.mat-mdc-outlined-button {
    min-width: material.$mat-icon-button-line-height;
    width: material.$mat-icon-button-line-height;
    line-height: material.$mat-icon-button-line-height;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

@mixin purple-button {
  $shade: 400;
  background-color: mat.get-color-from-palette(colors.$emp-purple, $shade);
  color: mat.get-contrast-color-from-palette(colors.$emp-purple, $shade);
}

@mixin set-button-list-hover($background-color, $color, $disabled-color) {
  .button-list-hover:hover,
  .button-list-hover:focus {
    background-color: $background-color;
    color: $color;
    &:disabled {
      color: $disabled-color;
    }
  }
}
